ImageMagick upgrade problem

David Southwell david at vizion2000.net
Tue Nov 23 22:33:35 UTC 2010


> > Em Ter, 2010-11-23 Ã s 17:50 +0000, David Southwell escreveu:
> > > Puzzled
> > > 
> > > I have perl installed with threads but getting the following upgrade
> > > problem with graphics/ImageMagick. The upgrade fails to recognise
> > > reality - Perl is installed with threads!
> > 
> > > with OpenEXR or OpenMP I get the same problem:
> > Make sure that perl is compiled with threads  and.....
> > 
> > for me I solved the problem by
> > defining in /etc/make.conf.....PERL_THREADED=true
> > 
> > it works, but the real solution is to fix the port
> > either in IMagemagick or in perl ...
> 
> Just 'make PERL_THREADED=true' is probably easier, but the port is
> clearly broken. The logic is very oddly set out, but it relies on the
> value of PERL_THREADED which neither the Makefile nor any of the .Mk
> files defines. I assume that there was supposed to be some test of
> whether perl supports threading that never quite made it.
Tried the /etc/make.conf PERL_THREADED=true
but still get the same result in graphics/ImageMagick:

dns1# make clean
===>  Cleaning for perl-threaded-5.8.9_4
===>  Cleaning for ImageMagick-6.6.5.10
dns1# make
===>  ImageMagick-6.6.5.10 OpenEXR requires threads. . Perl is non-threaded. 
Reinstall Perl with threads or undefine WITH_IMAGEMAGICK_PERL.
*** Error code 1

Stop in /usr/ports/graphics/ImageMagick.


Photographic Artist
Permanent Installations & Design
Creative Imagery and Advanced Digital Techniques
High Dynamic Range Photography & Official Portraiture
Combined darkroom & digital creations
& Systems Adminstrator for the vizion2000.net network


More information about the freebsd-ports mailing list